QGIS Application - Bug report #6719

Add delimited text plugin: decimal point do not affect numerical fields other than lat/long

2012-11-16 05:34 AM - Washington Junger

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/Delimited Text

Affected QGIS version:1.8.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 15884

Description

The option "decimal point" only affects the fields "lat" and "long" and it will fail if the user try to add a csv data sheet with numerical fields

other than ".". So these columns are imported as text or the plugin aborts.
Using comma as decimal point and semicolon to separate columns is the standard in MS Excel and LibreOffcie Calc for some Latin

languages (e.g. Portuguese).
Thanks in advance.

Qgis 1.8.0 (Ubuntu 64 and Win7 64).

History

#1 - 2014-05-05 09:38 AM - Antonio Locandro

Can someone check if this issue is valid still?

#2 - 2014-05-05 09:40 AM - Giovanni Manghi

Antonio Locandro wrote:

Can someone check if this issue is valid still?

it is still valid for you (on qgis 2.2/master)?

#3 - 2014-06-21 03:58 AM - Jiirgen Fischer
- Status changed from Open to Closed
- Category set to Data Provider/Delimited Text

closing for the lack of feedback
